Get Campaign Runs
curl --request GET \
--url https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"limit": 123,
"page": 123,
"runs": [
{}
],
"total_count": 123,
"total_pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Campaigns
Get Campaign Runs
Retrieve individual run records for each contact in a campaign
GET
/
api
/
v1
/
campaign
/
{campaign_id}
/
runs
Get Campaign Runs
curl --request GET \
--url https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agents.labs.bandwidth.com/api/v1/campaign/{campaign_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"limit": 123,
"page": 123,
"runs": [
{}
],
"total_count": 123,
"total_pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Requires a Labs OAuth user access token with the
super_user role. API keys are not accepted for this endpoint. See authentication.
Returns the individual run records for each contact in the campaign. Each record includes the same fields as agent run details, including run status, duration, transcript, and recording URL.